package com.sdtool.common.entity.base;

import com.dySweetFishPlugin.sql.DataBaseMultiItem;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

public class DataBaseMultiItemEx extends DataBaseMultiItem {
    //用以区分主体类别,例如印刷厂,外协厂等
    @Comment("主体类别")
    @RColumn("itemtype")
    private int itemType;

    @Comment("通信地址")
    @RColumn("contacturl")
    private String contactUrl;

    @Comment("租户编号")
    @RColumn("itemcode")
    private String itemCode;

    @Comment("联系人")
    @RColumn("contactperson")
    private String contactPerson;

    @Comment("联系电话")
    @RColumn("contactphone")
    private String contactPhone;

    @Comment("")
    @RColumn("voidflag")
    private int voidFlag;

    private int saasFlag;

    private String dataSchema;

    public int getItemType() {
        return itemType;
    }

    public void setItemType(int itemType) {
        this.itemType = itemType;
    }

    public String getContactUrl() {
        return contactUrl;
    }

    public void setContactUrl(String contactUrl) {
        this.contactUrl = contactUrl;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getContactPerson() {
        return contactPerson;
    }

    public void setContactPerson(String contactPerson) {
        this.contactPerson = contactPerson;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public int getSaasFlag() {
        return saasFlag;
    }

    public void setSaasFlag(int saasFlag) {
        this.saasFlag = saasFlag;
    }

    public String getDataSchema() {
        return dataSchema;
    }

    public void setDataSchema(String dataSchema) {
        this.dataSchema = dataSchema;
    }

    public int getVoidFlag() {
        return voidFlag;
    }

    public void setVoidFlag(int voidFlag) {
        this.voidFlag = voidFlag;
    }
}
